Bug 218273 - DHCP still on after changing network settings
DHCP still on after changing network settings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Milan Zazrivec
: Reopened
Depends On:
Blocks: 234654 227613
  Show dependency treegraph
 
Reported: 2006-12-04 06:01 EST by Bastien Nocera
Modified: 2008-05-21 11:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0397
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-RHEL-5-bz218273.patch (5.57 KB, patch)
2008-01-31 19:09 EST, David Cantrell
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-12-04 06:01:02 EST
RHEL5 Beta 2

1. Start up an installation in text mode
2. Select "DHCP" for the network settings
3. Select a wrong stage2 location
4. See getting the stage 2 information failing
5. Go back to the Network settings dialogue
6. Disable DHCP and enable manual IP address

The IP address of the network card hasn't changed, and DHCP is still on. The
code in loader2/net.c doesn't seem to have any code to disable the DHCP if it
was ever configured.
Comment 1 RHEL Product and Program Management 2006-12-04 06:30:36 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 David Cantrell 2006-12-14 13:32:06 EST
I've tested the last RHEL5 nightly tree (20061214) and this problem seems to
have been corrected post-beta2.  Post beta2, we rebased the DHCP libraries. 
Please test again.
Comment 6 David Cantrell 2007-01-09 14:01:15 EST
Confirmed this is still present in the RHEL5-Server-20070109.nightly tree.  It
should be fixed.  Setting flag for rhel-5.1.0.
Comment 8 David Cantrell 2007-06-27 15:12:57 EDT
No time to fix this for 5.1, removing devel ack.  If this needs to be addressed
in the future, reopen and flag for a future RHEL release.
Comment 9 RHEL Product and Program Management 2007-06-27 15:21:17 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 10 Issue Tracker 2007-07-02 09:42:54 EDT
Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'Rejected'

This event sent from IssueTracker by jkachuck 
 issue 105761
Comment 11 RHEL Product and Program Management 2007-10-16 00:07:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Bastien Nocera 2007-11-01 09:40:20 EDT
Jose, what's the status of this ticket?
Comment 14 Chris Lumens 2008-01-18 11:07:08 EST
Still waiting on the test results from comment #12.
Comment 15 David Cantrell 2008-01-31 19:07:23 EST
As pointed out in comment #12, the new IP address is added to the interface.  We
never remove the existing IP addresses on a reconfiguration of the interface. 
The following patch does this so if you perform the steps noted in the initial
comment, existing IP addresses will be cleared out and then your new one added
to the interface.
Comment 16 David Cantrell 2008-01-31 19:09:58 EST
Created attachment 293672 [details]
anaconda-RHEL-5-bz218273.patch
Comment 17 David Cantrell 2008-02-01 13:52:20 EST
This fix will be in anaconda-11.1.2.94-1.
Comment 19 Milan Zazrivec 2008-02-06 05:14:51 EST
Verified with RHEL5.2-Server-20080206.nightly (anaconda-11.1.2.96-1)
Comment 21 errata-xmlrpc 2008-05-21 11:29:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0397.html

Note You need to log in before you can comment on or make changes to this bug.